Subject: Re: Help with setup utility (v1.43)
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 19 May 2000 13:35:34 -0400

On Fri, May 19, 2000 at 05:34:59PM +0100, Alexander Anderson wrote:
>In article <[email-masked]>, Earnie 
>Boyd <[email-masked]> writes
>
>>Is it IE5 that you have installed or an earlier version?  If you have IE5
>>installed then it is probably a timeout problem and the solution would be to
>>keep trying.
>
>
>    I  use a mail/news reader called "Turnpike" to connect to my ISP De-
>mon Internet over a modem.  I'm saying that once  connected,  the  Win32
>FTP command works fine, as does Internet Explorer (3 in fact).

Earnie was informing you that you NEED IE 5.0 or later installed for setup.exe
to work.  This is a limitation that we've recently discovered.  We're going
to fix this but it will take a while.

>    However,  setup.exe  always bombs out in the same way, regardless of
>whether I'm connected or not:
>
>
>        J:\Cupboard.my\archive.zip\CygWin\latest>setup
>        
>        This is the Cygwin setup utility (v1.43),
>        built on May  2 2000 01:00:30.
>        
>        Use this program to install the latest version of the Cygwin Utilities
>        from the Internet.
>        
>        Alternatively, if you already have already downloaded the appropriate files
>        to the current directory (and subdirectories below it), this program can use
>        those as the basis for your installation.
>        
>        If you are installing from the Internet, please run this program in an empty
>        temporary directory.
>        
>        Press <enter> to accept the default value.
>        Root directory? [C:\] c:\
>        Install from the current directory (d) or from the Internet (i)? [i] i
>        Connecting to sourceware.cygnus.com...(try 40)
>        Couldn't connect to ftp site.
>        The parameter is incorrect.
>        
>        Unable to retrieve the list of cygwin mirrors.
>        Couldn't connect to download site.
>        
>        J:\Cupboard.my\archive.zip\CygWin\latest>
>
>
>    What am I doing wrong?

Right now, your best alternative is to download the .tar.gz files (not
the -src.tar.gz files) in all of the subdirectories of latest.  Then, run
setup and specify 'd' when prompted if it should install from the current
directory.

>    Ideally  I  would  like  to know what options I could supply to set-
>up.exe to get it to produce debugging diagnostics.  Unfortunately  setup
>doesn't  understand /?, /h, /help, -h or --help, and I'm not enough of a
>command line guru to guess any more.

There is no help available from the command line.  Setup.exe is a very new
program that is evolving.

FYI, the source code for setup.c is available in the cygwin snapshots at:

http://sourceware.cygnus.com/cygwin/snapshots

Christopher Faylor
Cygwin Engineering Manager (and developer)
Cygnus Solutions, a Red Hat company

--
Want to unsubscribe from this list?
Send a message to [email-masked]